| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | List of all members
Digikam::QueueListView Class Reference
Inheritance diagram for Digikam::QueueListView:

## Public Types
enum | ItemListType { Pending = 0 , Selected , All }

## Public Slots
void | slotAddItems (const ItemInfoList &)
void | slotAssignedToolsChanged (const AssignedBatchTools &)
void | slotClearList ()
void | slotRemoveItemsDone ()
void | slotRemoveSelectedItems ()

## Signals
void | signalQueueContentsChanged ()

## Public Member Functions
| QueueListView (QWidget *const parent)
AssignedBatchTools | assignedTools () const
void | cancelItems ()
QueueListViewItem * | findItemById (qlonglong id)
QueueListViewItem * | findItemByUrl (const QUrl &url)
int | itemsCount ()
ItemInfoList | itemsList (ItemListType type)
int | pendingItemsCount ()
int | pendingTasksCount ()
QPixmap | progressPixmapForIndex (int index) const
void | reloadThumbs (const QUrl &url)
void | removeItemById (qlonglong id)
void | removeItemByInfo (const ItemInfo &info)
void | setAssignedTools (const AssignedBatchTools &tools)
void | setEnableToolTips (bool val)
void | setItemBusy (qlonglong id)
void | setSettings (const QueueSettings &settings)
QueueSettings | settings () const

## Member Enumeration Documentation

## ◆ ItemListType

enum Digikam::QueueListView::ItemListType

Enumerator
Pending | Items from the list not yet processed.
Selected | Items from the list selected.
All | All items from the list.